jsonnet:
  stage: build
  image: alpine:latest
  script:
    - apk add -U jsonnet
    - jsonnet .gitlab-ci.jsonnet > generated-config.yml
  artifacts:
    paths:
      - generated-config.yml

trigger-builds:
  stage: build
  needs:
    - jsonnet
  trigger:
    include:
      - artifact: generated-config.yml
        job: jsonnet
    strategy: depend
